CURLOPT_PUT(3)

NAME
CURLOPT_PUT - make an HTTP PUT request

SYNOPSIS
#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_PUT, long put);

DESCRIPTION
A parameter set to 1 tells the library to use HTTP PUT to transfer data. The data should be set with CURLOPT_READDATA(3) and CURLOPT_INFILESIZE(3).

This option is deprecated since version 7.12.1. Use CURLOPT_UPLOAD(3)!

DEFAULT
0, disabled

PROTOCOLS
HTTP

AVAILABILITY
Deprecated since 7.12.1. Do not use.

RETURN VALUE
Returns CURLE_OK if HTTP is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_UPLOAD(3), CURLOPT_HTTPGET(3),